Skip to main content
PUT
/
workspace
/
{workspace_id}
/
realtime
Update real-time settings and connection configuration
curl --request PUT \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/realtime \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "hash": "<string>",
  "channels": [
    {
      "pattern": "<string>",
      "anonymous_clients": true,
      "client_authenticated_messaging": true,
      "client_private_messaging": true,
      "client_private_messaging_authenticated_only": true,
      "client_public_messaging": true,
      "client_public_messaging_authenticated_only": true,
      "description": "<string>",
      "enabled": true,
      "id": 123,
      "presence": true,
      "wildcard": true
    }
  ]
}
'
import requests

url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/realtime"

payload = {
"enabled": True,
"hash": "<string>",
"channels": [
{
"pattern": "<string>",
"anonymous_clients": True,
"client_authenticated_messaging": True,
"client_private_messaging": True,
"client_private_messaging_authenticated_only": True,
"client_public_messaging": True,
"client_public_messaging_authenticated_only": True,
"description": "<string>",
"enabled": True,
"id": 123,
"presence": True,
"wildcard": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
hash: '<string>',
channels: [
{
pattern: '<string>',
anonymous_clients: true,
client_authenticated_messaging: true,
client_private_messaging: true,
client_private_messaging_authenticated_only: true,
client_public_messaging: true,
client_public_messaging_authenticated_only: true,
description: '<string>',
enabled: true,
id: 123,
presence: true,
wildcard: true
}
]
})
};

fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/realtime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "enabled": true,
  "hash": "Dl3HlakmBZDhezv6yml7hliTM20",
  "channels": [
    {
      "anonymous_clients": true,
      "client_authenticated_messaging": true,
      "client_private_messaging": true,
      "client_private_messaging_authenticated_only": true,
      "client_public_messaging": true,
      "client_public_messaging_authenticated_only": true,
      "description": "<string>",
      "enabled": true,
      "id": 123,
      "pattern": "<string>",
      "presence": true,
      "wildcard": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required

Body

enabled
boolean
hash
string
channels
object[]

Response

Success!

enabled
boolean
hash
string
default:Dl3HlakmBZDhezv6yml7hliTM20
channels
object[]